List Calls
curl --request GET \
--url https://api.example.com/v1/calls/import requests
url = "https://api.example.com/v1/calls/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/calls/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"calls": [
{
"call_status": "registered",
"_id": "<string>",
"ai_agent_id": "<string>",
"ai_agent_name": "<string>",
"override_ai_agent_id": "<string>",
"metadata": {},
"pia_llm_dynamic_data": {},
"call_start_time": "2023-11-07T05:31:56Z",
"call_end_time": "2023-11-07T05:31:56Z",
"messages": [
{
"role": "agent",
"content": "<string>"
}
],
"recorded_call_audio_url": "<string>",
"access_token": "<string>",
"call_duration_seconds": 123,
"call_type": "web_call",
"call_finish_reason": "user_ended_call"
}
],
"next_page_token": "<string>",
"total_count": 123
}{
"error": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Calls
List Calls
Retrieve a paginated list of calls with optional filtering and sorting.
This endpoint allows querying call history with various filters including time ranges and specific AI agents. Results are paginated for efficient data retrieval.
GET
/
v1
/
calls
/
List Calls
Query Parameters
Filter calls by a specific batch call ID to retrieve all calls associated with that batch.
Pattern:
^(asc|desc)$Required range:
1 <= x <= 1000Response
Successful Response
List of call records, can include both web and phone calls
- WebCallResponse
- PhoneCallResponse
Show child attributes
Show child attributes
Token for retrieving the next page of results in paginated responses
Total number of calls matching the query criteria

